Make Google API Python Client Library available on stat* machines
Closed, ResolvedPublic3 Story Points

Description

Please make Google API Client Library for Python available for use by Python 2 and Python 3 on stat1005 (and/or stat1006).

Some relevant links:

mpopov created this task.Mar 27 2018, 12:50 AM
mpopov triaged this task as Normal priority.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 27 2018, 12:50 AM
mpopov raised the priority of this task from Normal to High.Mar 27 2018, 4:51 PM
fdans moved this task from Incoming to Operational Excellence on the Analytics board.

Change 423018 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/debs/python-uritemplate@debian] Initial debian release of 3.0.0

https://gerrit.wikimedia.org/r/423018

Change 423018 merged by Ottomata:
[operations/debs/python-uritemplate@debian] Initial debian release of 3.0.0

https://gerrit.wikimedia.org/r/423018

Change 423021 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/debs/python-google-api@debian] Initial debian release 1.6.6

https://gerrit.wikimedia.org/r/423021

Change 423021 merged by Ottomata:
[operations/debs/python-google-api@debian] Initial debian release 1.6.6

https://gerrit.wikimedia.org/r/423021

Change 423023 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[operations/puppet@production] Install python google api client on stretch stat and notebook boxes

https://gerrit.wikimedia.org/r/423023

Change 423023 merged by Ottomata:
[operations/puppet@production] Install python google api client on stretch stat and notebook boxes

https://gerrit.wikimedia.org/r/423023

Done!

Notice: /Stage[main]/Packages::Python_google_api/Package[python-google-api]/ensure: created
Notice: /Stage[main]/Packages::Python3_google_api/Package[python3-google-api]/ensure: created

Had to package up python-google-api and also python-uritemplate (since that wasn't debianized either).

Ottomata moved this task from Next Up to Done on the Analytics-Kanban board.Mar 29 2018, 7:27 PM
Ottomata claimed this task.
Ottomata set the point value for this task to 3.
Nuria closed this task as Resolved.Apr 12 2018, 10:07 PM

Done!

Thank you for this! Much appreciated :)

Deskana moved this task from Tag to Done on the SEO board.Fri, Jul 6, 10:28 AM